## memmove

#### OS/161 Reference Manual

### Name

memmove - copy region of memory

### Library

Standard C Library (libc, -lc)

### Synopsis

`#include <string.h>`
`void *`
`memmove(void *`dest`, const void *`src`, size_t` len`);`

### Description

The block of memory beginning at src, of length len, is copied to dest. dest must point to a region large enough to hold it.

Unlike memcpy, `memmove` is guaranteed to operate correctly if src and dest overlap.

### Return Values

`memmove` returns dest.